/*
 * Copyright 2012 Julien Nicoulaud <julien.nicoulaud@gmail.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



import net.nicoulaj.maven.plugins.soot.PostBuildScriptHelper

try
{
  // Instantiate a helper.
  PostBuildScriptHelper helper = new PostBuildScriptHelper( basedir, localRepositoryPath, context )

  // Fail if no traces of soot-maven-plugin invocation.
  helper.assertBuildLogContains( "soot-maven-plugin" )
  helper.assertBuildLogContains( "Soot started on" )
  helper.assertBuildLogContains( "Soot finished on" )
  helper.assertBuildLogContains( "Main..." )

}
catch ( Exception e )
{
  System.err.println( e.getMessage() )
  return false;
}
